# GESTitleSource

GESTitleSource is a GESTimelineElement that implements the notion of titles in GES.

## GESTitleSource

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESTrackElement
                    ╰──GESSource
                        ╰──GESVideoSource
                            ╰──GESTitleSource

## Children Properties

#### `alpha`

alpha of the stream

Value type: gdouble

#### `color`

Color to use for text (big-endian ARGB).

Value type: guint

See color

#### `draw-shadow`

Whether to draw shadow

Value type: gboolean

See draw-shadow

#### `fheight`

height of the source in float

Value type: gfloat

#### `font-desc`

Pango font description of font to be used for rendering. See documentation of pango_font_description_from_string for syntax.

Value type: gchararray

See font-desc

#### `foreground-color`

Foreground color to use (big-endian ARGB)

Value type: guint

See foreground-color

#### `fposx`

x position of the stream in float

Value type: gfloat

#### `fposy`

y position of the stream in float

Value type: gfloat

#### `fwidth`

width of the source in float

Value type: gfloat

#### `halignment`

Horizontal alignment of the text

Valid values:

- left (0) – left
- center (1) – center
- right (2) – right
- position (4) – Absolute position clamped to canvas
- absolute (5) – Absolute position

See halignment

#### `height`

height of the source

Value type: gint

#### `operator`

Blending operator to use for blending this pad over the previous ones

Valid values:

- Source (0) – source
- Over (1) – over
- Add (2) – add

#### `outline-color`

Color to use for outline the text (big-endian ARGB).

Value type: guint

See outline-color

#### `pattern`

Type of test pattern to generate

Valid values:

- SMPTE 100% color bars (0) – smpte
- Random (television snow) (1) – snow
- 100% Black (2) – black
- 100% White (3) – white
- Red (4) – red
- Green (5) – green
- Blue (6) – blue
- Checkers 1px (7) – checkers-1
- Checkers 2px (8) – checkers-2
- Checkers 4px (9) – checkers-4
- Checkers 8px (10) – checkers-8
- Circular (11) – circular
- Blink (12) – blink
- SMPTE 75% color bars (13) – smpte75
- Zone plate (14) – zone-plate
- Gamut checkers (15) – gamut
- Chroma zone plate (16) – chroma-zone-plate
- Solid color (17) – solid-color
- Moving ball (18) – ball
- SMPTE 100% color bars (19) – smpte100
- Bar (20) – bar
- Pinwheel (21) – pinwheel
- Spokes (22) – spokes
- Gradient (23) – gradient
- Colors (24) – colors
- SMPTE test pattern, RP 219 conformant (25) – smpte-rp-219

See pattern

#### `posx`

x position of the stream

Value type: gint

#### `posy`

y position of the stream

Value type: gint

#### `reverse`

Whether to playback the source reverse or not

Value type: gboolean

See reverse

#### `shaded-background`

Whether to shade the background under the text area

Value type: gboolean

See shaded-background

#### `text`

Text to be display.

Value type: gchararray

See text

#### `text-height`

Resulting height of font rendering

Value type: guint

See text-height

#### `text-width`

Resulting width of font rendering

Value type: guint

See text-width

#### `text-x`

Resulting X position of font rendering.

Value type: gint

See text-x

#### `text-y`

Resulting Y position of font rendering.

Value type: gint

See text-y

#### `valignment`

Vertical alignment of the text

Valid values:

- baseline (0) – baseline
- bottom (1) – bottom
- top (2) – top
- position (3) – Absolute position clamped to canvas
- center (4) – center
- absolute (5) – Absolute position

See valignment

#### `video-direction`

Video direction: rotation and flipping

Valid values:

- GST_VIDEO_ORIENTATION_IDENTITY (0) – identity
- GST_VIDEO_ORIENTATION_90R (1) – 90r
- GST_VIDEO_ORIENTATION_180 (2) – 180
- GST_VIDEO_ORIENTATION_90L (3) – 90l
- GST_VIDEO_ORIENTATION_HORIZ (4) – horiz
- GST_VIDEO_ORIENTATION_VERT (5) – vert
- GST_VIDEO_ORIENTATION_UL_LR (6) – ul-lr
- GST_VIDEO_ORIENTATION_UR_LL (7) – ur-ll
- GST_VIDEO_ORIENTATION_AUTO (8) – auto
- GST_VIDEO_ORIENTATION_CUSTOM (9) – custom

See video-direction

#### `width`

width of the source

Value type: gint

#### `x-absolute`

Horizontal position when using absolute alignment

Value type: gdouble

See x-absolute

#### `xpos`

Horizontal position when using clamped position alignment

Value type: gdouble

See xpos

#### `y-absolute`

Vertical position when using absolute alignment

Value type: gdouble

See y-absolute

#### `ypos`

Vertical position when using clamped position alignment

Value type: gdouble

See ypos

#### `zorder`

z order of the stream. WARNING: Setting it manually overrides the priority and should be used very carefully

Value type: guint

### Members

`parent` (GESVideoSource) –
No description available

### Class structure

#### GESTitleSourceClass

##### Fields

`parent_class` (GESVideoSourceClass) –

parent class

### GES.TitleSourceClass

##### Attributes

`parent_class` (GES.VideoSourceClass) –

parent class

### GES.TitleSourceClass

##### Attributes

`parent_class` (GES.VideoSourceClass) –

parent class

## GES.TitleSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Source
                        ╰──GES.VideoSource
                            ╰──GES.TitleSource

## Children Properties

#### `alpha`

alpha of the stream

Value type: Number

#### `color`

Color to use for text (big-endian ARGB).

Value type: Number

See color (not introspectable)

#### `draw-shadow`

Whether to draw shadow

Value type: Number

See draw-shadow (not introspectable)

#### `fheight`

height of the source in float

Value type: Number

#### `font-desc`

Pango font description of font to be used for rendering. See documentation of pango_font_description_from_string for syntax.

Value type: String

See font-desc (not introspectable)

#### `foreground-color`

Foreground color to use (big-endian ARGB)

Value type: Number

See foreground-color (not introspectable)

#### `fposx`

x position of the stream in float

Value type: Number

#### `fposy`

y position of the stream in float

Value type: Number

#### `fwidth`

width of the source in float

Value type: Number

#### `halignment`

Horizontal alignment of the text

Valid values:

- left (0) – left
- center (1) – center
- right (2) – right
- position (4) – Absolute position clamped to canvas
- absolute (5) – Absolute position

See halignment (not introspectable)

#### `height`

height of the source

Value type: Number

#### `operator`

Blending operator to use for blending this pad over the previous ones

Valid values:

- Source (0) – source
- Over (1) – over
- Add (2) – add

#### `outline-color`

Color to use for outline the text (big-endian ARGB).

Value type: Number

See outline-color (not introspectable)

#### `pattern`

Type of test pattern to generate

Valid values:

- SMPTE 100% color bars (0) – smpte
- Random (television snow) (1) – snow
- 100% Black (2) – black
- 100% White (3) – white
- Red (4) – red
- Green (5) – green
- Blue (6) – blue
- Checkers 1px (7) – checkers-1
- Checkers 2px (8) – checkers-2
- Checkers 4px (9) – checkers-4
- Checkers 8px (10) – checkers-8
- Circular (11) – circular
- Blink (12) – blink
- SMPTE 75% color bars (13) – smpte75
- Zone plate (14) – zone-plate
- Gamut checkers (15) – gamut
- Chroma zone plate (16) – chroma-zone-plate
- Solid color (17) – solid-color
- Moving ball (18) – ball
- SMPTE 100% color bars (19) – smpte100
- Bar (20) – bar
- Pinwheel (21) – pinwheel
- Spokes (22) – spokes
- Gradient (23) – gradient
- Colors (24) – colors
- SMPTE test pattern, RP 219 conformant (25) – smpte-rp-219

See pattern (not introspectable)

#### `posx`

x position of the stream

Value type: Number

#### `posy`

y position of the stream

Value type: Number

#### `reverse`

Whether to playback the source reverse or not

Value type: Number

See reverse (not introspectable)

#### `shaded-background`

Whether to shade the background under the text area

Value type: Number

See shaded-background (not introspectable)

#### `text`

Text to be display.

Value type: String

See text (not introspectable)

#### `text-height`

Resulting height of font rendering

Value type: Number

See text-height (not introspectable)

#### `text-width`

Resulting width of font rendering

Value type: Number

See text-width (not introspectable)

#### `text-x`

Resulting X position of font rendering.

Value type: Number

See text-x (not introspectable)

#### `text-y`

Resulting Y position of font rendering.

Value type: Number

See text-y (not introspectable)

#### `valignment`

Vertical alignment of the text

Valid values:

- baseline (0) – baseline
- bottom (1) – bottom
- top (2) – top
- position (3) – Absolute position clamped to canvas
- center (4) – center
- absolute (5) – Absolute position

See valignment (not introspectable)

#### `video-direction`

Video direction: rotation and flipping

Valid values:

- GST_VIDEO_ORIENTATION_IDENTITY (0) – identity
- GST_VIDEO_ORIENTATION_90R (1) – 90r
- GST_VIDEO_ORIENTATION_180 (2) – 180
- GST_VIDEO_ORIENTATION_90L (3) – 90l
- GST_VIDEO_ORIENTATION_HORIZ (4) – horiz
- GST_VIDEO_ORIENTATION_VERT (5) – vert
- GST_VIDEO_ORIENTATION_UL_LR (6) – ul-lr
- GST_VIDEO_ORIENTATION_UR_LL (7) – ur-ll
- GST_VIDEO_ORIENTATION_AUTO (8) – auto
- GST_VIDEO_ORIENTATION_CUSTOM (9) – custom

See video-direction

#### `width`

width of the source

Value type: Number

#### `x-absolute`

Horizontal position when using absolute alignment

Value type: Number

See x-absolute (not introspectable)

#### `xpos`

Horizontal position when using clamped position alignment

Value type: Number

See xpos (not introspectable)

#### `y-absolute`

Vertical position when using absolute alignment

Value type: Number

See y-absolute (not introspectable)

#### `ypos`

Vertical position when using clamped position alignment

Value type: Number

See ypos (not introspectable)

#### `zorder`

z order of the stream. WARNING: Setting it manually overrides the priority and should be used very carefully

Value type: Number

### Members

`parent` (GES.VideoSource) –
No description available

## GES.TitleSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.TrackElement
                    ╰──GES.Source
                        ╰──GES.VideoSource
                            ╰──GES.TitleSource

## Children Properties

#### `alpha`

alpha of the stream

Value type: float

#### `color`

Color to use for text (big-endian ARGB).

Value type: int

See color (not introspectable)

#### `draw-shadow`

Whether to draw shadow

Value type: bool

See draw-shadow (not introspectable)

#### `fheight`

height of the source in float

Value type: float

#### `font-desc`

Pango font description of font to be used for rendering. See documentation of pango_font_description_from_string for syntax.

Value type: str

See font-desc (not introspectable)

#### `foreground-color`

Foreground color to use (big-endian ARGB)

Value type: int

See foreground-color (not introspectable)

#### `fposx`

x position of the stream in float

Value type: float

#### `fposy`

y position of the stream in float

Value type: float

#### `fwidth`

width of the source in float

Value type: float

#### `halignment`

Horizontal alignment of the text

Valid values:

- left (0) – left
- center (1) – center
- right (2) – right
- position (4) – Absolute position clamped to canvas
- absolute (5) – Absolute position

See halignment (not introspectable)

#### `height`

height of the source

Value type: int

#### `operator`

Blending operator to use for blending this pad over the previous ones

Valid values:

- Source (0) – source
- Over (1) – over
- Add (2) – add

#### `outline-color`

Color to use for outline the text (big-endian ARGB).

Value type: int

See outline-color (not introspectable)

#### `pattern`

Type of test pattern to generate

Valid values:

- SMPTE 100% color bars (0) – smpte
- Random (television snow) (1) – snow
- 100% Black (2) – black
- 100% White (3) – white
- Red (4) – red
- Green (5) – green
- Blue (6) – blue
- Checkers 1px (7) – checkers-1
- Checkers 2px (8) – checkers-2
- Checkers 4px (9) – checkers-4
- Checkers 8px (10) – checkers-8
- Circular (11) – circular
- Blink (12) – blink
- SMPTE 75% color bars (13) – smpte75
- Zone plate (14) – zone-plate
- Gamut checkers (15) – gamut
- Chroma zone plate (16) – chroma-zone-plate
- Solid color (17) – solid-color
- Moving ball (18) – ball
- SMPTE 100% color bars (19) – smpte100
- Bar (20) – bar
- Pinwheel (21) – pinwheel
- Spokes (22) – spokes
- Gradient (23) – gradient
- Colors (24) – colors
- SMPTE test pattern, RP 219 conformant (25) – smpte-rp-219

See pattern (not introspectable)

#### `posx`

x position of the stream

Value type: int

#### `posy`

y position of the stream

Value type: int

#### `reverse`

Whether to playback the source reverse or not

Value type: bool

See reverse (not introspectable)

#### `shaded-background`

Whether to shade the background under the text area

Value type: bool

See shaded-background (not introspectable)

#### `text`

Text to be display.

Value type: str

See text (not introspectable)

#### `text-height`

Resulting height of font rendering

Value type: int

See text-height (not introspectable)

#### `text-width`

Resulting width of font rendering

Value type: int

See text-width (not introspectable)

#### `text-x`

Resulting X position of font rendering.

Value type: int

See text-x (not introspectable)

#### `text-y`

Resulting Y position of font rendering.

Value type: int

See text-y (not introspectable)

#### `valignment`

Vertical alignment of the text

Valid values:

- baseline (0) – baseline
- bottom (1) – bottom
- top (2) – top
- position (3) – Absolute position clamped to canvas
- center (4) – center
- absolute (5) – Absolute position

See valignment (not introspectable)

#### `video-direction`

Video direction: rotation and flipping

Valid values:

- GST_VIDEO_ORIENTATION_IDENTITY (0) – identity
- GST_VIDEO_ORIENTATION_90R (1) – 90r
- GST_VIDEO_ORIENTATION_180 (2) – 180
- GST_VIDEO_ORIENTATION_90L (3) – 90l
- GST_VIDEO_ORIENTATION_HORIZ (4) – horiz
- GST_VIDEO_ORIENTATION_VERT (5) – vert
- GST_VIDEO_ORIENTATION_UL_LR (6) – ul-lr
- GST_VIDEO_ORIENTATION_UR_LL (7) – ur-ll
- GST_VIDEO_ORIENTATION_AUTO (8) – auto
- GST_VIDEO_ORIENTATION_CUSTOM (9) – custom

See video_direction

#### `width`

width of the source

Value type: int

#### `x-absolute`

Horizontal position when using absolute alignment

Value type: float

See x-absolute (not introspectable)

#### `xpos`

Horizontal position when using clamped position alignment

Value type: float

See xpos (not introspectable)

#### `y-absolute`

Vertical position when using absolute alignment

Value type: float

See y-absolute (not introspectable)

#### `ypos`

Vertical position when using clamped position alignment

Value type: float

See ypos (not introspectable)

#### `zorder`

z order of the stream. WARNING: Setting it manually overrides the priority and should be used very carefully

Value type: int

### Members

`parent` (GES.VideoSource) –
No description available

### Methods

#### ges_title_source_get_background_color

    const guint32
    ges_title_source_get_background_color (GESTitleSource * source)

Get the background used by source.

Parameters:

`source` –

a GESTitleSource

Returns –

The background used by source.

#### GES.TitleSource.prototype.get_background_color

    function GES.TitleSource.prototype.get_background_color(): {
        // javascript wrapper for 'ges_title_source_get_background_color'
    }

Get the background used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (Number) –

The background used by source.

#### GES.TitleSource.get_background_color

    def GES.TitleSource.get_background_color (self):
        #python wrapper for 'ges_title_source_get_background_color'

Get the background used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (int) –

The background used by source.

#### ges_title_source_get_font_desc

    const gchar *
    ges_title_source_get_font_desc (GESTitleSource * source)

Get the pango font description used by source.

Parameters:

`source` –

a GESTitleSource

Returns ( [transfer: full][nullable]) –

The pango font description used by this source.

deprecated : 1.16: Use ges_timeline_element_get_child_property instead (this actually returns a newly allocated string)

#### GES.TitleSource.prototype.get_font_desc

    function GES.TitleSource.prototype.get_font_desc(): {
        // javascript wrapper for 'ges_title_source_get_font_desc'
    }

Get the pango font description used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (String) –

The pango font description used by this source.

deprecated : 1.16: Use ges_timeline_element_get_child_property instead (this actually returns a newly allocated string)

#### GES.TitleSource.get_font_desc

    def GES.TitleSource.get_font_desc (self):
        #python wrapper for 'ges_title_source_get_font_desc'

Get the pango font description used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (str) –

The pango font description used by this source.

deprecated : 1.16: Use ges_timeline_element_get_child_property instead (this actually returns a newly allocated string)

#### ges_title_source_get_halignment

    GESTextHAlign
    ges_title_source_get_halignment (GESTitleSource * source)

Get the horizontal aligment used by source.

Parameters:

`source` –

a GESTitleSource

Returns –

The horizontal aligment used by source.

#### GES.TitleSource.prototype.get_halignment

    function GES.TitleSource.prototype.get_halignment(): {
        // javascript wrapper for 'ges_title_source_get_halignment'
    }

Get the horizontal aligment used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (GES.TextHAlign) –

The horizontal aligment used by source.

#### GES.TitleSource.get_halignment

    def GES.TitleSource.get_halignment (self):
        #python wrapper for 'ges_title_source_get_halignment'

Get the horizontal aligment used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (GES.TextHAlign) –

The horizontal aligment used by source.

#### ges_title_source_get_text

    const gchar *
    ges_title_source_get_text (GESTitleSource * source)

Get the text currently set on the source.

Parameters:

`source` –

a GESTitleSource

Returns ( [transfer: full][nullable]) –

The text currently set on the source.

deprecated : 1.16: Use ges_timeline_element_get_child_property instead (this actually returns a newly allocated string)

#### GES.TitleSource.prototype.get_text

    function GES.TitleSource.prototype.get_text(): {
        // javascript wrapper for 'ges_title_source_get_text'
    }

Get the text currently set on the source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (String) –

The text currently set on the source.

deprecated : 1.16: Use ges_timeline_element_get_child_property instead (this actually returns a newly allocated string)

#### GES.TitleSource.get_text

    def GES.TitleSource.get_text (self):
        #python wrapper for 'ges_title_source_get_text'

Get the text currently set on the source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (str) –

The text currently set on the source.

deprecated : 1.16: Use ges_timeline_element_get_child_property instead (this actually returns a newly allocated string)

#### ges_title_source_get_text_color

    const guint32
    ges_title_source_get_text_color (GESTitleSource * source)

Get the color used by source.

Parameters:

`source` –

a GESTitleSource

Returns –

The color used by source.

#### GES.TitleSource.prototype.get_text_color

    function GES.TitleSource.prototype.get_text_color(): {
        // javascript wrapper for 'ges_title_source_get_text_color'
    }

Get the color used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (Number) –

The color used by source.

#### GES.TitleSource.get_text_color

    def GES.TitleSource.get_text_color (self):
        #python wrapper for 'ges_title_source_get_text_color'

Get the color used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (int) –

The color used by source.

#### ges_title_source_get_valignment

    GESTextVAlign
    ges_title_source_get_valignment (GESTitleSource * source)

Get the vertical aligment used by source.

Parameters:

`source` –

a GESTitleSource

Returns –

The vertical aligment used by source.

#### GES.TitleSource.prototype.get_valignment

    function GES.TitleSource.prototype.get_valignment(): {
        // javascript wrapper for 'ges_title_source_get_valignment'
    }

Get the vertical aligment used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (GES.TextVAlign) –

The vertical aligment used by source.

#### GES.TitleSource.get_valignment

    def GES.TitleSource.get_valignment (self):
        #python wrapper for 'ges_title_source_get_valignment'

Get the vertical aligment used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (GES.TextVAlign) –

The vertical aligment used by source.

#### ges_title_source_get_xpos

    const gdouble
    ges_title_source_get_xpos (GESTitleSource * source)

Get the horizontal position used by source.

Parameters:

`source` –

a GESTitleSource

Returns –

The horizontal position used by source.

#### GES.TitleSource.prototype.get_xpos

    function GES.TitleSource.prototype.get_xpos(): {
        // javascript wrapper for 'ges_title_source_get_xpos'
    }

Get the horizontal position used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (Number) –

The horizontal position used by source.

#### GES.TitleSource.get_xpos

    def GES.TitleSource.get_xpos (self):
        #python wrapper for 'ges_title_source_get_xpos'

Get the horizontal position used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (float) –

The horizontal position used by source.

#### ges_title_source_get_ypos

    const gdouble
    ges_title_source_get_ypos (GESTitleSource * source)

Get the vertical position used by source.

Parameters:

`source` –

a GESTitleSource

Returns –

The vertical position used by source.

#### GES.TitleSource.prototype.get_ypos

    function GES.TitleSource.prototype.get_ypos(): {
        // javascript wrapper for 'ges_title_source_get_ypos'
    }

Get the vertical position used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (Number) –

The vertical position used by source.

#### GES.TitleSource.get_ypos

    def GES.TitleSource.get_ypos (self):
        #python wrapper for 'ges_title_source_get_ypos'

Get the vertical position used by source.

Parameters:

`source` (GES.TitleSource) –

a GES.TitleSource

Returns (float) –

The vertical position used by source.

#### ges_title_source_set_background_color

    ges_title_source_set_background_color (GESTitleSource * self,
                                           guint32 color)

Sets the color of the background

Parameters:

`self` –

the GESTitleSource* to set

`color` –

the color self is being set to

#### GES.TitleSource.prototype.set_background_color

    function GES.TitleSource.prototype.set_background_color(color: Number): {
        // javascript wrapper for 'ges_title_source_set_background_color'
    }

Sets the color of the background

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set

`color` (Number) –

the color self is being set to

#### GES.TitleSource.set_background_color

    def GES.TitleSource.set_background_color (self, color):
        #python wrapper for 'ges_title_source_set_background_color'

Sets the color of the background

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set

`color` (int) –

the color self is being set to

#### ges_title_source_set_font_desc

    ges_title_source_set_font_desc (GESTitleSource * self,
                                    const gchar * font_desc)

Set the pango font description this source will use to render the text.

Parameters:

`self` –

the GESTitleSource

`font_desc` ( [nullable]) –

the pango font description

#### GES.TitleSource.prototype.set_font_desc

    function GES.TitleSource.prototype.set_font_desc(font_desc: String): {
        // javascript wrapper for 'ges_title_source_set_font_desc'
    }

Set the pango font description this source will use to render the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource

`font_desc` (String) –

the pango font description

#### GES.TitleSource.set_font_desc

    def GES.TitleSource.set_font_desc (self, font_desc):
        #python wrapper for 'ges_title_source_set_font_desc'

Set the pango font description this source will use to render the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource

`font_desc` (str) –

the pango font description

#### ges_title_source_set_halignment

    ges_title_source_set_halignment (GESTitleSource * self,
                                     GESTextHAlign halign)

Sets the vertical aligment of the text.

Parameters:

`self` –

the GESTitleSource* to set text on

`halign` –

GESTextHAlign

#### GES.TitleSource.prototype.set_halignment

    function GES.TitleSource.prototype.set_halignment(halign: GES.TextHAlign): {
        // javascript wrapper for 'ges_title_source_set_halignment'
    }

Sets the vertical aligment of the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set text on

`halign` (GES.TextHAlign) –

GES.TextHAlign

#### GES.TitleSource.set_halignment

    def GES.TitleSource.set_halignment (self, halign):
        #python wrapper for 'ges_title_source_set_halignment'

Sets the vertical aligment of the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set text on

`halign` (GES.TextHAlign) –

GES.TextHAlign

#### ges_title_source_set_text

    ges_title_source_set_text (GESTitleSource * self,
                               const gchar * text)

Sets the text this track element will render.

Parameters:

`self` –

the GESTitleSource* to set text on

`text` ( [nullable]) –

the text to render. an internal copy of this text will be made.

deprecated : use ges_track_element_get/set_children_properties on the GESTrackElement instead

#### GES.TitleSource.prototype.set_text

    function GES.TitleSource.prototype.set_text(text: String): {
        // javascript wrapper for 'ges_title_source_set_text'
    }

Sets the text this track element will render.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set text on

`text` (String) –

the text to render. an internal copy of this text will be made.

deprecated : use ges_track_element_get/set_children_properties on the GESTrackElement instead

#### GES.TitleSource.set_text

    def GES.TitleSource.set_text (self, text):
        #python wrapper for 'ges_title_source_set_text'

Sets the text this track element will render.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set text on

`text` (str) –

the text to render. an internal copy of this text will be made.

deprecated : use ges_track_element_get/set_children_properties on the GESTrackElement instead

#### ges_title_source_set_text_color

    ges_title_source_set_text_color (GESTitleSource * self,
                                     guint32 color)

Sets the color of the text.

Parameters:

`self` –

the GESTitleSource* to set

`color` –

the color self is being set to

#### GES.TitleSource.prototype.set_text_color

    function GES.TitleSource.prototype.set_text_color(color: Number): {
        // javascript wrapper for 'ges_title_source_set_text_color'
    }

Sets the color of the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set

`color` (Number) –

the color self is being set to

#### GES.TitleSource.set_text_color

    def GES.TitleSource.set_text_color (self, color):
        #python wrapper for 'ges_title_source_set_text_color'

Sets the color of the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set

`color` (int) –

the color self is being set to

#### ges_title_source_set_valignment

    ges_title_source_set_valignment (GESTitleSource * self,
                                     GESTextVAlign valign)

Sets the vertical aligment of the text.

Parameters:

`self` –

the GESTitleSource* to set text on

`valign` –

GESTextVAlign

#### GES.TitleSource.prototype.set_valignment

    function GES.TitleSource.prototype.set_valignment(valign: GES.TextVAlign): {
        // javascript wrapper for 'ges_title_source_set_valignment'
    }

Sets the vertical aligment of the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set text on

`valign` (GES.TextVAlign) –

GES.TextVAlign

#### GES.TitleSource.set_valignment

    def GES.TitleSource.set_valignment (self, valign):
        #python wrapper for 'ges_title_source_set_valignment'

Sets the vertical aligment of the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set text on

`valign` (GES.TextVAlign) –

GES.TextVAlign

#### ges_title_source_set_xpos

    ges_title_source_set_xpos (GESTitleSource * self,
                               gdouble position)

Sets the horizontal position of the text.

Parameters:

`self` –

the GESTitleSource* to set

`position` –

the horizontal position self is being set to

#### GES.TitleSource.prototype.set_xpos

    function GES.TitleSource.prototype.set_xpos(position: Number): {
        // javascript wrapper for 'ges_title_source_set_xpos'
    }

Sets the horizontal position of the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set

`position` (Number) –

the horizontal position self is being set to

#### GES.TitleSource.set_xpos

    def GES.TitleSource.set_xpos (self, position):
        #python wrapper for 'ges_title_source_set_xpos'

Sets the horizontal position of the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set

`position` (float) –

the horizontal position self is being set to

#### ges_title_source_set_ypos

    ges_title_source_set_ypos (GESTitleSource * self,
                               gdouble position)

Sets the vertical position of the text.

Parameters:

`self` –

the GESTitleSource* to set

`position` –

the color self is being set to

#### GES.TitleSource.prototype.set_ypos

    function GES.TitleSource.prototype.set_ypos(position: Number): {
        // javascript wrapper for 'ges_title_source_set_ypos'
    }

Sets the vertical position of the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set

`position` (Number) –

the color self is being set to

#### GES.TitleSource.set_ypos

    def GES.TitleSource.set_ypos (self, position):
        #python wrapper for 'ges_title_source_set_ypos'

Sets the vertical position of the text.

Parameters:

`self` (GES.TitleSource) –

the GES.TitleSource* to set

`position` (float) –

the color self is being set to

## Constants

### GES_TYPE_TITLE_SOURCE

    #define GES_TYPE_TITLE_SOURCE ges_title_source_get_type()

The results of the search are